%define		alphatag	beta3

Name:           openuniverse
Version:        1.0
Release:	0.1.%{alphatag}%{?dist}
Summary:        OpenGL space simulator focused on the Solar System

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.openuniverse.org/
# data/stars.dat contains data with licensing issue, to featch the source do following:
#
# $ wget http://download.sourceforge.net/openuniverse/%{name}-%{version}%{snapshot}.tar.gz
# $ tar -xvvf %{name}-%{version}%{snapshot}.tar.gz
# $ rm -f %{name}-%{version}%{snapshot}/data/stars.dat
# $ cp stars.ppm.dat %{name}-%{version}%{snapshot}/data/stars.dat
# $ tar -cf %{name}-%{version}%{snapshot}-fedora.tar %{name}-%{version}%{snapshot} && gzip %{name}-%{version}%{snapshot}-fedora.tar
Source0:        %{name}-%{version}%{alphatag}-fedora.tar.gz
Source1:        openuniverse.1
Source2:        openuniverse.desktop
Source3:	stars.ppm.dat
Patch0:         openuniverse-1.0beta3-strings.patch
Patch1:         openuniverse-1.0beta3-gl.patch
Patch2:         openuniverse-1.0beta3-yacc.patch
Patch3:         openuniverse-1.0beta3-paths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  bison flex
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  freeglut-devel
BuildRequires:  libXmu-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXi-devel
BuildRequires:  libXmu-devel


%description
OpenUniverse is a space simulator.  It currently focusses on the Solar
System and lets you visit all of its planets, major moons and a vast
collection of smaller bodies in colorful, glorious and realtime 3D.

If you've ever had a chance to visit Mercury or asteroid Geographos, here
you'll find them looking exactly the same way, following exactly the same
path as when you've left them.


%prep
%setup -q -n %{name}-%{version}%{alphatag}-fedora
%patch0 -p1 -b .strings
%patch1 -p1 -b .gl
%patch2 -p1 -b .yacc
%patch3 -p1 -b .paths


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install SHOTS_DIR=. DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# Manual
install -p -d $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

# Menu entry
desktop-file-install --vendor fedora                    \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications   \
	--add-category Education                                 \
        %{SOURCE2}

# Fixup config file paths
install -p -d $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf/ou.conf \
       $RPM_BUILD_ROOT%{_sysconfdir}
rmdir $RPM_BUILD_ROOT%{_datadir}/openuniverse/conf



%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ou.conf
%{_bindir}/openuniverse
%{_datadir}/openuniverse
%{_mandir}/man1/openuniverse.1*
%{_datadir}/applications/*.desktop
%doc AUTHORS NEWS README ChangeLog COPYING INSTALL docs/manual.html


%changelog
* Tue Feb 19 2008 Marek Mahut <mmahut@fedoraproject.org> 1.0-1.beta3
- Replacing stars.dat due to licensing issue

* Tue Dec 18 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.0-0.beta3
- Initial packaging attempt
